use iced::Color;

#[derive(Debug, Clone)]
pub enum Message {
    None,
    CreatFile,
    SetFileNameCreat(String),
    GoToLoadView,
    ForceToQuit,
    Tick,
    Save,
    Load,
    FileNameChanged(String),
    TogglePaused,
    ChangeDelta(f32),
    ClickedOnTimeLine(f32),
    ChangeDeltaString(String),

    ChangeNbPerSec(String),
    AddPolygon(String),
    ChangeTeta(usize, f32),
    Remove(usize),
    ChangeSound(usize, String),
    LengthChange(String),
    AddPoint,
    RemovePoint,
    SlidePointLeft,
    SlidePointRight,
    ChangeDegree(usize, String),
    ReAddPoint,

    ChooseColor(usize, Color),
    CancelColor(usize),
    SubmitColor(usize),

    Undo,
    Redo,
}
